gi-gobject-2.0.31: GObject bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.GObject.Objects.ParamSpecObject

Contents

- Exported types
- Methods

Description

A `ParamSpec` derived structure that contains the meta data for object properties.

Synopsis

- newtype ParamSpecObject = ParamSpecObject (ManagedPtr ParamSpecObject)
- class (BoxedPtr o, TypedObject o, IsDescendantOf ParamSpecObject o) => IsParamSpecObject o
- toParamSpecObject :: (MonadIO m, IsParamSpecObject o) => o -> m ParamSpecObject

# Exported types

newtype ParamSpecObject Source #

Memory-managed wrapper type.

Constructors

ParamSpecObject (ManagedPtr ParamSpecObject) |

#### Instances

Instances details

Eq ParamSpecObject Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecObject Methods (==) :: ParamSpecObject -> ParamSpecObject -> Bool Source # (/=) :: ParamSpecObject -> ParamSpecObject -> Bool Source #
BoxedPtr ParamSpecObject Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecObject Methods boxedPtrCopy :: ParamSpecObject -> IO ParamSpecObject Source # boxedPtrFree :: ParamSpecObject -> IO () Source #
ManagedPtrNewtype ParamSpecObject Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecObject Methods toManagedPtr :: ParamSpecObject -> ManagedPtr ParamSpecObject Source #
TypedObject ParamSpecObject Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecObject Methods glibType :: IO GType Source #
HasParentTypes ParamSpecObject Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecObject
type ParentTypes ParamSpecObject Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecObject type ParentTypes ParamSpecObject = '[ParamSpec]

class (BoxedPtr o, TypedObject o, IsDescendantOf ParamSpecObject o) => IsParamSpecObject o Source #

Type class for types which can be safely cast to `ParamSpecObject`, for instance with `toParamSpecObject`.

#### Instances

Instances details

(BoxedPtr o, TypedObject o, IsDescendantOf ParamSpecObject o) => IsParamSpecObject o Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecObject

toParamSpecObject :: (MonadIO m, IsParamSpecObject o) => o -> m ParamSpecObject Source #

Cast to `ParamSpecObject`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

sink, stealQdata.

#### Getters

getBlurb, getDefaultValue, getName, getNameQuark, getNick, getQdata, getRedirectTarget.

#### Setters

setQdata.